#include <stdio.h>
#include <stdlib.h>
#include <sys/time.h>

void kernel_cpu(int *A0,int *A1,int *A2,int *A3,int *A4,int *A5,int N){
for(int i=0;i<N;i++){
A0[i] = A5[i]*A4[i]/A4[i]-A5[i];
A1[i] = A4[i]/A5[i];
A2[i] = A4[i]/A5[i];
A3[i] = A4[i]+A5[i];
}
}

int main(int argc,char **argv) {
int size=470566;
int intBytes = size*sizeof(int);
int floatBytes = size*sizeof(float);
int *A0;
A0 = (int *)malloc(intBytes);
int *A1;
A1 = (int *)malloc(intBytes);
int *A2;
A2 = (int *)malloc(intBytes);
int *A3;
A3 = (int *)malloc(intBytes);
int *A4;
A4 = (int *)malloc(intBytes);
int *A5;
A5 = (int *)malloc(intBytes);
for(int i=0;i<470566;i++){
A0[i] = 60*i+1;
A1[i] = 51*i+1;
A2[i] = 61*i+1;
A3[i] = 71*i+1;
A4[i] = 79*i+1;
A5[i] = 53+i+1;
}
struct timeval time0,time1;
gettimeofday(&time0,NULL);
FILE *file_for_block_of_interest = fopen("./profile_in_block.txt","w");
if(file_for_block_of_interest) {
char Buf[2] = "1";
fwrite(Buf, 1, 1, file_for_block_of_interest);
fclose(file_for_block_of_interest);}
kernel_cpu(A0,A1,A2,A3,A4,A5,470566);
file_for_block_of_interest = fopen("./profile_in_block.txt","w");
if(file_for_block_of_interest) {
char Buf[2] = "0";
fwrite(Buf, 1, 1, file_for_block_of_interest);
fclose(file_for_block_of_interest);}
gettimeofday(&time1,NULL);
double totaltime10 = (time1.tv_sec*1000000.0 + time1.tv_usec) - (time0.tv_sec*1000000.0 + time0.tv_usec);
fprintf(stderr, "CPU time: %lf msecs ",  (totaltime10)/1000.0F); 
free(A0);
free(A1);
free(A2);
free(A3);
free(A4);
free(A5);
printf("\n");return 0; }